pw_link_info Struct Reference

The link information. More...

## Data Fields

uint32_t | id
| id of the global More...
uint64_t | change_mask
| bitfield of changed fields since last call More...
uint32_t | output_node_id
| server side output node id More...
uint32_t | output_port_id
| output port id More...
uint32_t | input_node_id
| server side input node id More...
uint32_t | input_port_id
| input port id More...
struct spa_pod * | format
| format over link More...
struct spa_dict * | props
| the properties of the link More...

## Detailed Description

The link information.

Extra information can be added in later versions

## Field Documentation

## change_mask

uint64_t pw_link_info::change_mask

bitfield of changed fields since last call

Referenced by pw_link_info_update().

## format

struct spa_pod* pw_link_info::format

format over link

Referenced by pw_link_info_free(), and pw_link_info_update().

## id

uint32_t pw_link_info::id

id of the global

Referenced by pw_link_info_update().

## input_node_id

uint32_t pw_link_info::input_node_id

server side input node id

Referenced by pw_link_info_update().

## input_port_id

uint32_t pw_link_info::input_port_id

input port id

Referenced by pw_link_info_update().

## output_node_id

uint32_t pw_link_info::output_node_id

server side output node id

Referenced by pw_link_info_update().

## output_port_id

uint32_t pw_link_info::output_port_id

output port id

Referenced by pw_link_info_update().

## props

struct spa_dict* pw_link_info::props

the properties of the link

The documentation for this struct was generated from the following file:

- introspect.h